0

I installed sublime-text, which I then uninstalled. To check:

> sudo pactree sublime-text
error: package 'sublime-text' not found
> sudo pactree -r sublime-text
error: package 'sublime-text' not found

Now I want to update my system:

> sudo pacman -Syu
error: sublime-text: signature from "Sublime HQ Pty Ltd <[email protected]>" is unknown trust
:: Synchronizing package databases...
 system is up to date
 world is up to date
 galaxy is up to date
 lib32 is up to date
 universe is up to date
 omniverse is up to date
 extra is up to date
 community is up to date
 multilib is up to date
 sublime-text                                                                                     1837.0   B  4.30 KiB/s 00:00 [----------------------------------------------------------------------------] 100%
error: sublime-text: signature from "Sublime HQ Pty Ltd <[email protected]>" is unknown trust
error: failed to synchronize all databases (invalid or corrupted database (PGP signature))

It looks like there is still something left of sublime-text that does not allow me to proceed. How can I completely clean up my system from this package?

1
  • there is no community repo please remove it from your /etc/pacman.conf Commented Apr 11 at 23:14

1 Answer 1

1

check if you have the sublime repo still in your /etc/pacman.conf

[sublime-text]
Server = https://download.sublimetext.com/arch/stable/x86_64

if you do, all you need to do is remove it then pacman -Syu and it will let you update

then pacman -d/delete the key pacman -d 8A8F901A

0

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .